Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.phase.custom
Class CustomSolverPhaseScope

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhaseScope
          org.drools.planner.core.phase.custom.CustomSolverPhaseScope

    public class CustomSolverPhaseScope

extends AbstractSolverPhaseScope

Field Summary

Fields inherited from class org.drools.planner.core.phase.AbstractSolverPhaseScope
`bestSolutionStepIndex, logger, solverScope, startingScore, startingSystemTimeMillis`

Constructor Summary
`CustomSolverPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`CustomStepScope` | `getLastCompletedCustomStepScope()`
`AbstractStepScope` | `getLastCompletedStepScope()`
`void` | `setLastCompletedCustomStepScope(CustomStepScope lastCompletedCustomStepScope)`

Methods inherited from class org.drools.planner.core.phase.AbstractSolverPhaseScope
`assertWorkingScore, calculatePhaseTimeMillisSpend, calculateScoreFromWorkingMemory, calculateSolverTimeMillisSpend, getBestScore, getBestSolutionStepIndex, getScoreDefinition, getSolutionDescriptor, getSolutionDirector, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingFacts, getWorkingMemory, getWorkingPlanningEntityList, getWorkingRandom, getWorkingSolution, isWorkingSolutionInitialized, reset, setBestSolutionStepIndex, setStartingScore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomSolverPhaseScope

    public CustomSolverPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getLastCompletedStepScope

    public AbstractStepScope getLastCompletedStepScope()

  Specified by:
    `getLastCompletedStepScope` in class `AbstractSolverPhaseScope`

### getLastCompletedCustomStepScope

    public CustomStepScope getLastCompletedCustomStepScope()

### setLastCompletedCustomStepScope

    public void setLastCompletedCustomStepScope(CustomStepScope lastCompletedCustomStepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.